package ejbdemo;
import java.util.*;
import javax.ejb.*;
import java.rmi.RemoteException;

public interface DemoEntityHome extends EJBHome
{
	public DemoEntity create(Integer id) throws CreateException, RemoteException;
	public DemoEntity findByPrimaryKey(Integer key) throws RemoteException, FinderException;
	public Collection findAll() throws RemoteException, FinderException;
}
